
From: NeilBrown <neilb@cse.unsw.edu.au>

As they are not partitionable, they don't (how wierd).



---

 drivers/block/genhd.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

diff -puN drivers/block/genhd.c~md-07-md-appear-in-proc-partitions drivers/block/genhd.c
--- 25/drivers/block/genhd.c~md-07-md-appear-in-proc-partitions	2004-01-22 22:26:20.000000000 -0800
+++ 25-akpm/drivers/block/genhd.c	2004-01-22 22:26:20.000000000 -0800
@@ -261,8 +261,14 @@ static int show_partition(struct seq_fil
 		seq_puts(part, "major minor  #blocks  name\n\n");
 
 	/* Don't show non-partitionable devices or empty devices */
-	if (!get_capacity(sgp) || sgp->minors == 1)
-		return 0;
+	/* ... but do show 'md' devices.  As it isn't clear *why*
+	 * non-partitionable devices are excluded, and as I definately
+	 * want md device to be included, the follow ugly code is
+	 * needed - neilb Jan2004
+	 */
+	if (sgp->disk_name[0] != 'm' || sgp->disk_name[1] != 'd')
+		if (!get_capacity(sgp) || sgp->minors == 1)
+			return 0;
 
 	/* show the full disk and all non-0 size partitions of it */
 	seq_printf(part, "%4d  %4d %10llu %s\n",

_
